Skip to content
You're viewing documentation for v2026.11.8-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Show package contents

For one verified pack: each PostgreSQL major with its minor, the TimescaleDB versions and the extensions of the console catalog with their versions, from the signed manifest. compare has the changes from the next older verified pack for the same servers (same OS version, for RHEL-compatible (el) the same major, and architecture). For a components pack: components has each component with its version, the architectures, the lowest supported version, and the servers that run it.

GET/api/v1/packs/{name}/summary
Authorization
tse_sessionAPI key · cookierequired
Path parameters
namestringrequired

Pack name, without .tar.zst

Responses
200

OK

archstringrequired
Allowed:amd64arm64
comparePackCompareResponse

The changes from the next older loaded pack for the same servers. Absent when there is none, and for a components pack.

Show properties
majorsPackMajorChanges[]required

The majors of both packs that changed

Show properties
Array of PackMajorChanges
extensions_addedPackExtensionVersion[]required
extensions_changedPackExtensionChange[]required
Show properties
Array of PackExtensionChange
contribbooleanrequired

The extension ships with PostgreSQL (contrib)

fromstring[]required
namestringrequired
packagestringrequired
tostring[]required
extensions_removedPackExtensionVersion[]required
majorstringrequired
minor_fromstring

The newest minor of the older pack. Empty when the newest minor did not change

minor_tostring
minors_addedstring[]required

The minors that only the newer pack has, newest first (TSE-1019)

minors_removedstring[]required

The minors that only the older pack has, newest first

timescaledb_addedstring[]required
timescaledb_removedstring[]required
majors_addedstring[]required
majors_removedstring[]required
namestringrequired

The older pack

os_versionstringrequired
packages_changedPackPackageChange[]required

Patroni, pgBouncer and pgBackRest when their version changed

Show properties
Array of PackPackageChange
fromstringrequired

Empty when the older pack has none

namestringrequired
Allowed:patronipgbouncerpgbackrest
tostringrequired

Empty when the newer pack has none

releasestringrequired
componentsPackComponentSummary[]required

The server components of a components pack. Empty for an OS pack

Show properties
Array of PackComponentSummary
archsstring[]required

The architectures of the loaded components packs of this release that have this version

min_reasonstring

Why the console needs at least min_version

min_versionstring

The lowest version of the component that this console supports on a server

namestringrequired
postgresql_majorsstring[]required

The PostgreSQL majors of tsdbe. Empty for the other components

serversPackComponentServer[]required

The enrolled servers of the architecture of the pack that run the component, with the recorded version, sorted by server

Show properties
Array of PackComponentServer
releasestringrequired

The release of the components pack that the version came from

serverstringrequired
versionstringrequired
versionstringrequired
namestringrequired

Pack name, without .tar.zst

osstringrequired

debian, ubuntu or el. Empty for a components pack

os_versionstringrequired

Empty for a components pack

patronistringrequired

The upstream version of Patroni in the pack. Empty when the pack has none

pgbouncerstringrequired

The upstream version of pgBouncer in the pack. Empty when the pack has none

postgresqlPackMajorSummary[]required

One entry for each PostgreSQL major and minor, ascending by major, newest minor first

Show properties
Array of PackMajorSummary
extensionsPackExtensionVersion[]required

The extensions of the console catalog in the pack, sorted by name

Show properties
Array of PackExtensionVersion
contribbooleanrequired

The extension ships with PostgreSQL (contrib)

namestringrequired

Extension name in the console catalog

packagestringrequired

The package that has the extension

versionsstring[]required

Upstream versions of the package, newest first

majorstringrequired
minorstringrequired
timescaledbstring[]required

TimescaleDB versions, newest first

releasestringrequired
size_bytesinteger<int64>required
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/packs/string/summary' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "arch": "amd64",
  "compare": {
    "majors": [
      {
        "extensions_added": [
          {
            "contrib": true,
            "name": "string",
            "package": "string",
            "versions": [
              "string"
            ]
          }
        ],
        "extensions_changed": [
          {
            "contrib": true,
            "from": [
              "string"
            ],
            "name": "string",
            "package": "string",
            "to": [
              "string"
            ]
          }
        ],
        "extensions_removed": [
          {
            "contrib": true,
            "name": "string",
            "package": "string",
            "versions": [
              "string"
            ]
          }
        ],
        "major": "string",
        "minor_from": "string",
        "minor_to": "string",
        "minors_added": [
          "string"
        ],
        "minors_removed": [
          "string"
        ],
        "timescaledb_added": [
          "string"
        ],
        "timescaledb_removed": [
          "string"
        ]
      }
    ],
    "majors_added": [
      "string"
    ],
    "majors_removed": [
      "string"
    ],
    "name": "string",
    "os_version": "string",
    "packages_changed": [
      {
        "from": "string",
        "name": "patroni",
        "to": "string"
      }
    ],
    "release": "string"
  },
  "components": [
    {
      "archs": [
        "string"
      ],
      "min_reason": "string",
      "min_version": "string",
      "name": "string",
      "postgresql_majors": [
        "string"
      ],
      "servers": [
        {
          "release": "string",
          "server": "string",
          "version": "string"
        }
      ],
      "version": "string"
    }
  ],
  "name": "string",
  "os": "string",
  "os_version": "string",
  "patroni": "string",
  "pgbouncer": "string",
  "postgresql": [
    {
      "extensions": [
        {
          "contrib": true,
          "name": "string",
          "package": "string",
          "versions": [
            "string"
          ]
        }
      ],
      "major": "string",
      "minor": "string",
      "timescaledb": [
        "string"
      ]
    }
  ],
  "release": "string",
  "size_bytes": 0
}